Bug 5422 - Separate state field for patron's adresses
Summary: Separate state field for patron's adresses
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: 3.4
Hardware: All All
: PATCH-Sent (DO NOT USE) enhancement (vote)
Target Milestone: ---
Assignee: Katrin Fischer
QA Contact: Bugs List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-11-20 23:17 UTC by Katrin Fischer
Modified: 2013-12-05 20:01 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: ---
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Additional fixes (3.72 KB, patch)
2011-01-13 21:10 UTC, Owen Leonard
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2010-11-20 23:17:04 UTC
On the mailing list was some discussion about adding a separate state field to the three patron adresses:

http://lists.koha-community.org/pipermail/koha-devel/2010-November/034756.html
http://lists.koha-community.org/pipermail/koha-devel/2010-November/034757.html
http://lists.koha-community.org/pipermail/koha-devel/2010-November/034758.html

Several people expressed that this would be a good addition to our patron data.
Comment 1 Katrin Fischer 2010-11-21 03:14:34 UTC
My work on this bug is available on my public repo for testing: 
https://github.com/kfischer/Koha/tree/5422_state

You have to add a correct version number to kohaversion.pl and updatedatabase.pl so that database is updated.
Comment 2 Katrin Fischer 2010-12-06 21:59:26 UTC
Branch is ready to be pulled for QA:
https://github.com/kfischer/Koha/tree/5422_state
Comment 3 Chris Cormack 2010-12-12 07:36:55 UTC
Pushed to new/awaiting_qa/enh/bug_5422
Comment 5 Owen Leonard 2011-01-13 21:10:45 UTC
Created attachment 2991 [details] [review]
Additional fixes

Adding handling of address2, state, country to guarantor add form. Should apply to new/awaiting_qa/enh/bug_5422
Comment 6 Chris Cormack 2011-01-13 21:35:04 UTC
Additional patch pushed
Comment 7 MJ Ray (software.coop) 2011-02-05 19:01:26 UTC
This bug is mentioned in:
Bug 5422: Adding handling of address2,	state, country to guarantor add form http://lists.koha-community.org/pipermail/koha-patches/2011-January/013599.html
Comment 8 Magnus Enger 2011-04-06 12:15:40 UTC
This works as expected. Should I generate patches, sign off on them and send them to the patches list?
Comment 9 Chris Cormack 2011-04-06 17:19:01 UTC
That would be absolutely perfect if you did Magnus
Comment 10 Magnus Enger 2011-04-07 12:57:38 UTC
(In reply to comment #9)
> That would be absolutely perfect if you did Magnus

Signed-off patches sent to the patches list and pushed here: 

https://github.com/MagnusEnger/kohawork/commits/bug5422so

(but there is some strangeness - only ine of the patches show today's date and has my added "[SIGNED-OFF]")...
Comment 11 Chris Cormack 2011-04-08 23:58:08 UTC
Pushed, please test ... lots :)